
QGIS Application - Bug report #3314

Node tool does not allow multiple-selection when geometry is invalid

2010-12-09 01:51 PM - Alister Hood

Status: Closed

Priority: Low

Assignee:

Category: Digitising

Affected QGIS version:master Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed

Crashes QGIS or corrupts data:No Copied to github as #: 13374

Description

To reproduce:

- Select a polygon layer and click the edit button

- Try to select multiple nodes using Ctrl-click.  It should work.

- Using the node tool, move some nodes so that the polygon border crosses itself.  A green x should be displayed at the intersection.

- Try to select multiple nodes using Ctrl-click.  It won't work.

I can't see any reason why it is desirable for multiple-selection to be disabled when the geometry is invalid.  The user may want to fix it by

selecting multiple-nodes and deleting (or moving) them.

History

#1 - 2010-12-09 03:17 PM - Alister Hood

The user may want to fix it

I mean fix the invalid geometry of course, not fix the bug ;)

#2 - 2011-12-16 01:49 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#3 - 2012-04-16 06:24 AM - Paolo Cavallini

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

- Target version changed from Version 1.7.4 to Version 1.8.0

#4 - 2012-09-04 12:02 PM - Paolo Cavallini

- Target version changed from Version 1.8.0 to Version 2.0.0

#5 - 2012-12-30 08:41 AM - Giovanni Manghi

- Pull Request or Patch supplied set to No

- Assignee deleted (nobody -)

- Resolution set to fixed

- Status changed from Open to Closed
Alister Hood wrote:

The user may want to fix it

I mean fix the invalid geometry of course, not fix the bug ;)

it seems to work as expected on qgis master, please reopen if necessary.
